Bug 378944 - crash when typing a "C" in the folder quick-filter line edit
Summary: crash when typing a "C" in the folder quick-filter line edit
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
: 381126 (view as bug list)
Depends on:
Blocks:
 
Reported: 2017-04-19 08:12 UTC by Martin Koller
Modified: 2020-11-24 18:56 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Koller 2017-04-19 08:12:39 UTC
Application: kmail (5.5.40 alpha1)

Qt Version: 5.8.0
Frameworks Version: 5.33.0
Operating System: Linux 4.10.5-1.gf3fbfc6-default x86_64
Distribution: "openSUSE Leap 42.2"

-- Information about the crash:
- What I was doing when the application crashed:

Sometimes when I want to filter the folder tree using the folder filter line edit above the tree, kmail aborts.
This time I typed "c" and it aborted.
I have about 200 folders in a local maildir, 2 POP accounts, 1 airsync account

This is kmail master compiled on the weekend

The crash can be reproduced sometimes.

-- Backtrace:
Application: KMail (kmail), signal: Aborted
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f4923ef7940 (LWP 21602))]

Thread 26 (Thread 0x7f47d2178700 (LWP 24202)):
#0  0x00007f491d74e18f in __libc_enable_asynccancel () at /lib64/libc.so.6
#1  0x00007f491d739492 in poll () at /lib64/libc.so.6
#2  0x00007f490a6e6314 in  () at /usr/lib64/libglib-2.0.so.0
#3  0x00007f490a6e642c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#4  0x00007f491e54c8ab in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#5  0x00007f491e4fc6ab in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#6  0x00007f491e3449aa in QThread::exec() () at /usr/lib64/libQt5Core.so.5
#7  0x00007f491e349019 in QThreadPrivate::start(void*) () at /usr/lib64/libQt5Core.so.5
#8  0x00007f4919320744 in start_thread () at /lib64/libpthread.so.0
#9  0x00007f491d741d3d in clone () at /lib64/libc.so.6

Thread 25 (Thread 0x7f47e52f4700 (LWP 22014)):
#0  0x00007f49193250bf in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f491135d1f9 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f491135d999 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f491135e180 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f491135acd2 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f4919320744 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f491d741d3d in clone () at /lib64/libc.so.6

Thread 24 (Thread 0x7f48d4e51700 (LWP 21991)):
#0  0x00007f49193250bf in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f491135d1f9 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f491135d999 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f491135e180 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f491135acd2 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f4919320744 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f491d741d3d in clone () at /lib64/libc.so.6

Thread 23 (Thread 0x7f486a2a4700 (LWP 21665)):
#0  0x00007f49193250bf in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f49023dfb1b in  () at /usr/lib64/libQt5Script.so.5
#2  0x00007f49023dfb49 in  () at /usr/lib64/libQt5Script.so.5
#3  0x00007f4919320744 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f491d741d3d in clone () at /lib64/libc.so.6

Thread 22 (Thread 0x7f4870add700 (LWP 21652)):
#0  0x00007f490a7277d4 in g_mutex_unlock () at /usr/lib64/libglib-2.0.so.0
#1  0x00007f490a6e6436 in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#2  0x00007f491e54c8ab in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#3  0x00007f491e4fc6ab in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#4  0x00007f491e3449aa in QThread::exec() () at /usr/lib64/libQt5Core.so.5
#5  0x00007f491e349019 in QThreadPrivate::start(void*) () at /usr/lib64/libQt5Core.so.5
#6  0x00007f4919320744 in start_thread () at /lib64/libpthread.so.0
#7  0x00007f491d741d3d in clone () at /lib64/libc.so.6

Thread 21 (Thread 0x7f489cff9700 (LWP 21639)):
#0  0x00007f49193250bf in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f491135d1f9 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f491135d999 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f491135e180 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f491135acd2 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f4919320744 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f491d741d3d in clone () at /lib64/libc.so.6

Thread 20 (Thread 0x7f489d7fa700 (LWP 21638)):
#0  0x00007f48fe1aebb4 in pa_fdsem_before_poll () at /usr/lib64/pulseaudio/libpulsecommon-9.0.so
#1  0x00007f48fe1c6857 in  () at /usr/lib64/pulseaudio/libpulsecommon-9.0.so
#2  0x00007f48ffef8a14 in pa_mainloop_dispatch () at /usr/lib64/libpulse.so.0
#3  0x00007f48ffef8dea in pa_mainloop_iterate () at /usr/lib64/libpulse.so.0
#4  0x00007f48ffef8e90 in pa_mainloop_run () at /usr/lib64/libpulse.so.0
#5  0x00007f48fff07006 in  () at /usr/lib64/libpulse.so.0
#6  0x00007f48fe1d6408 in  () at /usr/lib64/pulseaudio/libpulsecommon-9.0.so
#7  0x00007f4919320744 in start_thread () at /lib64/libpthread.so.0
#8  0x00007f491d741d3d in clone () at /lib64/libc.so.6

Thread 19 (Thread 0x7f489dffb700 (LWP 21637)):
#0  0x00007f4919325468 in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f49113540e2 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f49113548fb in  () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f4911336828 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f49113488d8 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f491135e455 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f491135e53d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f491135acd2 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f4919320744 in start_thread () at /lib64/libpthread.so.0
#9  0x00007f491d741d3d in clone () at /lib64/libc.so.6

Thread 18 (Thread 0x7f489e7fc700 (LWP 21636)):
#0  0x00007f49193250bf in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f491305bc2d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f491135e06e in  () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f491135e180 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f491135acd2 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f4919320744 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f491d741d3d in clone () at /lib64/libc.so.6

Thread 17 (Thread 0x7f489effd700 (LWP 21635)):
#0  0x00007f491d73557d in write () at /lib64/libc.so.6
#1  0x00007f491d6cb840 in _IO_new_file_write () at /lib64/libc.so.6
#2  0x00007f491d6cae63 in new_do_write () at /lib64/libc.so.6
#3  0x00007f491d6cbe46 in __GI__IO_file_xsputn () at /lib64/libc.so.6
#4  0x00007f491d6a2b1b in buffered_vfprintf () at /lib64/libc.so.6
#5  0x00007f491d69fe8e in vfprintf () at /lib64/libc.so.6
#6  0x00007f491d74fd33 in __fprintf_chk () at /lib64/libc.so.6
#7  0x00007f49060f5fdf in  () at /usr/lib64/libevent-2.0.so.5
#8  0x00007f49060f61b7 in event_warn () at /usr/lib64/libevent-2.0.so.5
#9  0x00007f49060fa468 in  () at /usr/lib64/libevent-2.0.so.5
#10 0x00007f49060e6477 in event_base_loop () at /usr/lib64/libevent-2.0.so.5
#11 0x00007f4911314b1e in  () at /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007f49113488d8 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007f491135e455 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#14 0x00007f491135e53d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#15 0x00007f491135acd2 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#16 0x00007f4919320744 in start_thread () at /lib64/libpthread.so.0
#17 0x00007f491d741d3d in clone () at /lib64/libc.so.6

Thread 16 (Thread 0x7f489f7fe700 (LWP 21634)):
#0  0x00007f49193250bf in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f491135486b in  () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f4911354924 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f49113367ed in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f49113488d8 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f491135e455 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f491135e53d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f491135acd2 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f4919320744 in start_thread () at /lib64/libpthread.so.0
#9  0x00007f491d741d3d in clone () at /lib64/libc.so.6

Thread 15 (Thread 0x7f489ffff700 (LWP 21633)):
#0  0x00007f49193250bf in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f491135486b in  () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f4911354924 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f49113367ed in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f49113488d8 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f491135e455 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f491135e53d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f491135acd2 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f4919320744 in start_thread () at /lib64/libpthread.so.0
#9  0x00007f491d741d3d in clone () at /lib64/libc.so.6

Thread 14 (Thread 0x7f48bcff9700 (LWP 21632)):
#0  0x00007f491d74e13b in __lll_lock_wait_private () at /lib64/libc.so.6
#1  0x00007f491d74fcd6 in __fprintf_chk () at /lib64/libc.so.6
#2  0x00007f49060f5fdf in  () at /usr/lib64/libevent-2.0.so.5
#3  0x00007f49060f61b7 in event_warn () at /usr/lib64/libevent-2.0.so.5
#4  0x00007f49060fa468 in  () at /usr/lib64/libevent-2.0.so.5
#5  0x00007f49060e6477 in event_base_loop () at /usr/lib64/libevent-2.0.so.5
#6  0x00007f4911314c62 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f49113488d8 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f491135e455 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f49117455d5 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f4911745d3d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007f491135e53d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007f491135acd2 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007f4919320744 in start_thread () at /lib64/libpthread.so.0
#14 0x00007f491d741d3d in clone () at /lib64/libc.so.6

Thread 13 (Thread 0x7f48bd7fa700 (LWP 21631)):
#0  0x00007f49193250bf in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f491135486b in  () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f4911354924 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f49113367ed in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f49113488d8 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f491135e455 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f4911745555 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f4911745d9d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f491135e53d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f491135acd2 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f4919320744 in start_thread () at /lib64/libpthread.so.0
#11 0x00007f491d741d3d in clone () at /lib64/libc.so.6

Thread 12 (Thread 0x7f48bdffb700 (LWP 21630)):
#0  0x00007f49193250bf in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f491135486b in  () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f4911354924 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f49113367ed in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f49113488d8 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f491135e455 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f49117454d5 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f4911745d8d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f491135e53d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f491135acd2 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f4919320744 in start_thread () at /lib64/libpthread.so.0
#11 0x00007f491d741d3d in clone () at /lib64/libc.so.6

Thread 11 (Thread 0x7f48be7fc700 (LWP 21629)):
#0  0x00007f49193250bf in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f491135486b in  () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f4911354924 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f49113367ed in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f49113488d8 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f491135e455 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f4911745455 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f4911745d7d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f491135e53d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f491135acd2 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f4919320744 in start_thread () at /lib64/libpthread.so.0
#11 0x00007f491d741d3d in clone () at /lib64/libc.so.6

Thread 10 (Thread 0x7f48beffd700 (LWP 21628)):
#0  0x00007f491d74e13b in __lll_lock_wait_private () at /lib64/libc.so.6
#1  0x00007f491d74fcd6 in __fprintf_chk () at /lib64/libc.so.6
#2  0x00007f49060f5fdf in  () at /usr/lib64/libevent-2.0.so.5
#3  0x00007f49060f61b7 in event_warn () at /usr/lib64/libevent-2.0.so.5
#4  0x00007f49060fa468 in  () at /usr/lib64/libevent-2.0.so.5
#5  0x00007f49060e6477 in event_base_loop () at /usr/lib64/libevent-2.0.so.5
#6  0x00007f4911314b1e in  () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f49113488d8 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f491135e455 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f49117453d5 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f4911745d6d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007f491135e53d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007f491135acd2 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007f4919320744 in start_thread () at /lib64/libpthread.so.0
#14 0x00007f491d741d3d in clone () at /lib64/libc.so.6

Thread 9 (Thread 0x7f48bf7fe700 (LWP 21627)):
#0  0x00007f49193250bf in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f491135486b in  () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f4911354924 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f49113367ed in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f49113488d8 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f491135e455 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f4911745355 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f4911745d5d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f491135e53d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f491135acd2 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f4919320744 in start_thread () at /lib64/libpthread.so.0
#11 0x00007f491d741d3d in clone () at /lib64/libc.so.6

Thread 8 (Thread 0x7f48d5652700 (LWP 21624)):
#0  0x00007f49193250bf in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f491135486b in  () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f4911354924 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f49113367ed in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f49113488d8 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f491135e455 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f491135e53d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f491135acd2 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f4919320744 in start_thread () at /lib64/libpthread.so.0
#9  0x00007f491d741d3d in clone () at /lib64/libc.so.6

Thread 7 (Thread 0x7f48d5e53700 (LWP 21623)):
#0  0x00007f491d74e13b in __lll_lock_wait_private () at /lib64/libc.so.6
#1  0x00007f491d74fcd6 in __fprintf_chk () at /lib64/libc.so.6
#2  0x00007f49060f5fdf in  () at /usr/lib64/libevent-2.0.so.5
#3  0x00007f49060f61b7 in event_warn () at /usr/lib64/libevent-2.0.so.5
#4  0x00007f49060fa468 in  () at /usr/lib64/libevent-2.0.so.5
#5  0x00007f49060e6477 in event_base_loop () at /usr/lib64/libevent-2.0.so.5
#6  0x00007f4911314b1e in  () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f49113488d8 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f491135e455 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f491135e53d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f491135acd2 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007f4919320744 in start_thread () at /lib64/libpthread.so.0
#12 0x00007f491d741d3d in clone () at /lib64/libc.so.6

Thread 6 (Thread 0x7f48e63b0700 (LWP 21607)):
#0  0x00007f490a6e3750 in  () at /usr/lib64/libglib-2.0.so.0
#1  0x00007f490a6e5d43 in g_main_context_check () at /usr/lib64/libglib-2.0.so.0
#2  0x00007f490a6e62a8 in  () at /usr/lib64/libglib-2.0.so.0
#3  0x00007f490a6e642c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#4  0x00007f491e54c8ab in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#5  0x00007f491e4fc6ab in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#6  0x00007f491e3449aa in QThread::exec() () at /usr/lib64/libQt5Core.so.5
#7  0x00007f491e349019 in QThreadPrivate::start(void*) () at /usr/lib64/libQt5Core.so.5
#8  0x00007f4919320744 in start_thread () at /lib64/libpthread.so.0
#9  0x00007f491d741d3d in clone () at /lib64/libc.so.6

Thread 5 (Thread 0x7f48e6bb1700 (LWP 21606)):
#0  0x00007f490a6e54c7 in g_main_context_release () at /usr/lib64/libglib-2.0.so.0
#1  0x00007f490a6e62be in  () at /usr/lib64/libglib-2.0.so.0
#2  0x00007f490a6e642c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#3  0x00007f491e54c8ab in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#4  0x00007f491e4fc6ab in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#5  0x00007f491e3449aa in QThread::exec() () at /usr/lib64/libQt5Core.so.5
#6  0x00007f491e349019 in QThreadPrivate::start(void*) () at /usr/lib64/libQt5Core.so.5
#7  0x00007f4919320744 in start_thread () at /lib64/libpthread.so.0
#8  0x00007f491d741d3d in clone () at /lib64/libc.so.6

Thread 4 (Thread 0x7f48e75ef700 (LWP 21605)):
#0  0x00007f490a6e5903 in g_main_context_prepare () at /usr/lib64/libglib-2.0.so.0
#1  0x00007f490a6e6230 in  () at /usr/lib64/libglib-2.0.so.0
#2  0x00007f490a6e642c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#3  0x00007f491e54c8ab in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#4  0x00007f491e4fc6ab in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#5  0x00007f491e3449aa in QThread::exec() () at /usr/lib64/libQt5Core.so.5
#6  0x00007f491e349019 in QThreadPrivate::start(void*) () at /usr/lib64/libQt5Core.so.5
#7  0x00007f4919320744 in start_thread () at /lib64/libpthread.so.0
#8  0x00007f491d741d3d in clone () at /lib64/libc.so.6

Thread 3 (Thread 0x7f48ed064700 (LWP 21604)):
#0  0x00007f491d73551d in read () at /lib64/libc.so.6
#1  0x00007f490a726670 in  () at /usr/lib64/libglib-2.0.so.0
#2  0x00007f490a6e5e49 in g_main_context_check () at /usr/lib64/libglib-2.0.so.0
#3  0x00007f490a6e62a8 in  () at /usr/lib64/libglib-2.0.so.0
#4  0x00007f490a6e642c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#5  0x00007f491e54c8ab in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#6  0x00007f491e4fc6ab in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#7  0x00007f491e3449aa in QThread::exec() () at /usr/lib64/libQt5Core.so.5
#8  0x00007f491fe91d15 in  () at /usr/lib64/libQt5DBus.so.5
#9  0x00007f491e349019 in QThreadPrivate::start(void*) () at /usr/lib64/libQt5Core.so.5
#10 0x00007f4919320744 in start_thread () at /lib64/libpthread.so.0
#11 0x00007f491d741d3d in clone () at /lib64/libc.so.6

Thread 2 (Thread 0x7f48f9434700 (LWP 21603)):
#0  0x00007f491d73949d in poll () at /lib64/libc.so.6
#1  0x00007f490a4813c2 in _xcb_conn_wait () at /usr/lib64/libxcb.so.1
#2  0x00007f490a48310f in xcb_wait_for_event () at /usr/lib64/libxcb.so.1
#3  0x00007f48faf1ec29 in  () at /usr/lib64/libQt5XcbQpa.so.5
#4  0x00007f491e349019 in QThreadPrivate::start(void*) () at /usr/lib64/libQt5Core.so.5
#5  0x00007f4919320744 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f491d741d3d in clone () at /lib64/libc.so.6

Thread 1 (Thread 0x7f4923ef7940 (LWP 21602)):
[KCrash Handler]
#6  0x00007f491d68c8d7 in raise () at /lib64/libc.so.6
#7  0x00007f491d68dcaa in abort () at /lib64/libc.so.6
#8  0x00007f491e3346fe in  () at /usr/lib64/libQt5Core.so.5
#9  0x00007f491e32ffae in  () at /usr/lib64/libQt5Core.so.5
#10 0x00007f491cf220da in MessageList::Core::StorageModel::savePreSelectedMessage(unsigned long) (this=0x8e22c00, uniqueIdOfMessage=104386) at /home/KDE5/source/kde/pim/messagelib/messagelist/src/core/storagemodelbase.cpp:58
#11 0x00007f491cf34455 in MessageList::Core::Widget::saveCurrentSelection() (this=0x1904180) at /home/KDE5/source/kde/pim/messagelib/messagelist/src/core/widgetbase.cpp:327
#12 0x00007f491cf5ba14 in MessageList::Pane::Private::onSelectionChanged(QItemSelection const&, QItemSelection const&) (this=0x18151a0, selected=..., deselected=...) at /home/KDE5/source/kde/pim/messagelib/messagelist/src/pane.cpp:472
#13 0x00007f491cf5f2ee in MessageList::Pane::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (_o=0x18785e0, _c=QMetaObject::InvokeMetaMethod, _id=11, _a=0x7ffc0f9cd310) at /home/KDE5/source/build/kde/pim/messagelib/messagelist/src/moc_pane.cpp:184
#14 0x00007f491e5260d5 in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib64/libQt5Core.so.5
#15 0x00007f491e4b6ce7 in QItemSelectionModel::selectionChanged(QItemSelection const&, QItemSelection const&) () at /usr/lib64/libQt5Core.so.5
#16 0x00007f491e4b960a in QItemSelectionModel::emitSelectionChanged(QItemSelection const&, QItemSelection const&) () at /usr/lib64/libQt5Core.so.5
#17 0x00007f491e4ba8fc in QItemSelectionModel::select(QItemSelection const&, QFlags<QItemSelectionModel::SelectionFlag>) () at /usr/lib64/libQt5Core.so.5
#18 0x00007f49177e4092 in Akonadi::StandardActionManager::Private::favoriteSelectionChanged() (this=0x18ce440) at /home/KDE5/source/kde/pim/akonadi/src/widgets/standardactionmanager.cpp:584
#19 0x00007f49177dfab4 in Akonadi::StandardActionManager::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (_o=0x18b3960, _c=QMetaObject::InvokeMetaMethod, _id=4, _a=0x7ffc0f9cd6e0) at /home/KDE5/source/build/kde/pim/akonadi/src/widgets/moc_standardactionmanager.cpp:270
#20 0x00007f491e5260d5 in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib64/libQt5Core.so.5
#21 0x00007f491e4b6ce7 in QItemSelectionModel::selectionChanged(QItemSelection const&, QItemSelection const&) () at /usr/lib64/libQt5Core.so.5
#22 0x00007f491e4b960a in QItemSelectionModel::emitSelectionChanged(QItemSelection const&, QItemSelection const&) () at /usr/lib64/libQt5Core.so.5
#23 0x00007f491e4ba8fc in QItemSelectionModel::select(QItemSelection const&, QFlags<QItemSelectionModel::SelectionFlag>) () at /usr/lib64/libQt5Core.so.5
#24 0x00007f491e4b86ac in QItemSelectionModel::select(QModelIndex const&, QFlags<QItemSelectionModel::SelectionFlag>) () at /usr/lib64/libQt5Core.so.5
#25 0x00007f491e4b702b in QItemSelectionModel::setCurrentIndex(QModelIndex const&, QFlags<QItemSelectionModel::SelectionFlag>) () at /usr/lib64/libQt5Core.so.5
#26 0x00007f491f3de652 in QAbstractItemView::setCurrentIndex(QModelIndex const&) () at /usr/lib64/libQt5Widgets.so.5
#27 0x00007f491f3e6ad2 in QAbstractItemView::rowsAboutToBeRemoved(QModelIndex const&, int, int) () at /usr/lib64/libQt5Widgets.so.5
#28 0x00007f491f407c80 in QListView::rowsAboutToBeRemoved(QModelIndex const&, int, int) () at /usr/lib64/libQt5Widgets.so.5
#29 0x00007f491f3e23da in QAbstractItemView::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) () at /usr/lib64/libQt5Widgets.so.5
#30 0x00007f491e5260d5 in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib64/libQt5Core.so.5
#31 0x00007f491e59a3b4 in QAbstractItemModel::rowsAboutToBeRemoved(QModelIndex const&, int, int, QAbstractItemModel::QPrivateSignal) () at /usr/lib64/libQt5Core.so.5
#32 0x00007f491e4af354 in QAbstractItemModel::beginRemoveRows(QModelIndex const&, int, int) () at /usr/lib64/libQt5Core.so.5
#33 0x00007f491708ef41 in  () at /usr/lib64/libKF5ItemModels.so.5
#34 0x00007f491708f3e4 in  () at /usr/lib64/libKF5ItemModels.so.5
#35 0x00007f491e5260d5 in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib64/libQt5Core.so.5
#36 0x00007f491e4b6ce7 in QItemSelectionModel::selectionChanged(QItemSelection const&, QItemSelection const&) () at /usr/lib64/libQt5Core.so.5
#37 0x00007f491e4bc97f in QItemSelectionModelPrivate::_q_rowsAboutToBeRemoved(QModelIndex const&, int, int) () at /usr/lib64/libQt5Core.so.5
#38 0x00007f491e4bf939 in QItemSelectionModel::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) () at /usr/lib64/libQt5Core.so.5
#39 0x00007f491e5260d5 in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib64/libQt5Core.so.5
#40 0x00007f491e59a3b4 in QAbstractItemModel::rowsAboutToBeRemoved(QModelIndex const&, int, int, QAbstractItemModel::QPrivateSignal) () at /usr/lib64/libQt5Core.so.5
#41 0x00007f491e4af354 in QAbstractItemModel::beginRemoveRows(QModelIndex const&, int, int) () at /usr/lib64/libQt5Core.so.5
#42 0x00007f491e4ccadd in QSortFilterProxyModelPrivate::remove_source_items(QVector<int>&, QVector<int>&, QVector<int> const&, QModelIndex const&, Qt::Orientation, bool) () at /usr/lib64/libQt5Core.so.5
#43 0x00007f491e4ccc7f in QSortFilterProxyModelPrivate::source_items_about_to_be_removed(QModelIndex const&, int, int, Qt::Orientation) () at /usr/lib64/libQt5Core.so.5
#44 0x00007f491e4d1e08 in QSortFilterProxyModel::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) () at /usr/lib64/libQt5Core.so.5
#45 0x00007f491e5260d5 in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib64/libQt5Core.so.5
#46 0x00007f491e59a3b4 in QAbstractItemModel::rowsAboutToBeRemoved(QModelIndex const&, int, int, QAbstractItemModel::QPrivateSignal) () at /usr/lib64/libQt5Core.so.5
#47 0x00007f491e4af354 in QAbstractItemModel::beginRemoveRows(QModelIndex const&, int, int) () at /usr/lib64/libQt5Core.so.5
#48 0x00007f491e4ccadd in QSortFilterProxyModelPrivate::remove_source_items(QVector<int>&, QVector<int>&, QVector<int> const&, QModelIndex const&, Qt::Orientation, bool) () at /usr/lib64/libQt5Core.so.5
#49 0x00007f491e4d05cd in QSortFilterProxyModelPrivate::filter_changed(QModelIndex const&) () at /usr/lib64/libQt5Core.so.5
#50 0x00007f491e4d085e in QSortFilterProxyModelPrivate::filter_changed(QModelIndex const&) () at /usr/lib64/libQt5Core.so.5
#51 0x00007f491e4d0e78 in QSortFilterProxyModel::setFilterWildcard(QString const&) () at /usr/lib64/libQt5Core.so.5
#52 0x00007f491cb7da98 in MailCommon::FolderTreeWidgetProxyModel::setFilterFolder(QString const&) (this=0x19427c0, filter=...) at /home/KDE5/source/kde/pim/mailcommon/src/folder/foldertreewidgetproxymodel.cpp:209
#53 0x00007f491cb7b0d7 in MailCommon::FolderTreeWidget::slotFilterFixedString(QString const&) (this=0x14ca470, text=...) at /home/KDE5/source/kde/pim/mailcommon/src/folder/foldertreewidget.cpp:185
#54 0x00007f491cb7d0f5 in QtPrivate::FunctorCall<QtPrivate::IndexesList<0>, QtPrivate::List<QString const&>, void, void (MailCommon::FolderTreeWidget::*)(QString const&)>::call(void (MailCommon::FolderTreeWidget::*)(QString const&), MailCommon::FolderTreeWidget*, void**) (f=(void (MailCommon::FolderTreeWidget::*)(MailCommon::FolderTreeWidget * const, const QString &)) 0x7f491cb7adfe <MailCommon::FolderTreeWidget::slotFilterFixedString(QString const&)>, o=0x14ca470, arg=0x7ffc0f9ceec0) at /usr/include/qt5/QtCore/qobjectdefs_impl.h:143
#55 0x00007f491cb7ceb9 in QtPrivate::FunctionPointer<void (MailCommon::FolderTreeWidget::*)(QString const&)>::call<QtPrivate::List<QString const&>, void>(void (MailCommon::FolderTreeWidget::*)(QString const&), MailCommon::FolderTreeWidget*, void**) (f=(void (MailCommon::FolderTreeWidget::*)(MailCommon::FolderTreeWidget * const, const QString &)) 0x7f491cb7adfe <MailCommon::FolderTreeWidget::slotFilterFixedString(QString const&)>, o=0x14ca470, arg=0x7ffc0f9ceec0) at /usr/include/qt5/QtCore/qobjectdefs_impl.h:162
#56 0x00007f491cb7cd6b in QtPrivate::QSlotObject<void (MailCommon::FolderTreeWidget::*)(QString const&), QtPrivate::List<QString const&>, void>::impl(int, QtPrivate::QSlotObjectBase*, QObject*, void**, bool*) (which=1, this_=0x1481060, r=0x14ca470, a=0x7ffc0f9ceec0, ret=0x0) at /usr/include/qt5/QtCore/qobject_impl.h:120
#57 0x00007f491e52671c in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib64/libQt5Core.so.5
#58 0x00007f491f2e22d2 in QLineEdit::textChanged(QString const&) () at /usr/lib64/libQt5Widgets.so.5
#59 0x00007f491f2e8389 in QLineEdit::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) () at /usr/lib64/libQt5Widgets.so.5
#60 0x00007f491e5260d5 in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib64/libQt5Core.so.5
#61 0x00007f491f369de5 in QWidgetLineControl::textChanged(QString const&) () at /usr/lib64/libQt5Widgets.so.5
#62 0x00007f491f36d1ec in QWidgetLineControl::finishChange(int, bool, bool) () at /usr/lib64/libQt5Widgets.so.5
#63 0x00007f491f36f8e4 in QWidgetLineControl::processKeyEvent(QKeyEvent*) () at /usr/lib64/libQt5Widgets.so.5
#64 0x00007f491f2e23da in QLineEdit::keyPressEvent(QKeyEvent*) () at /usr/lib64/libQt5Widgets.so.5
#65 0x00007f491f1f4b7a in QWidget::event(QEvent*) () at /usr/lib64/libQt5Widgets.so.5
#66 0x00007f491f2e7be5 in QLineEdit::event(QEvent*) () at /usr/lib64/libQt5Widgets.so.5
#67 0x00007f491f1b11bc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib64/libQt5Widgets.so.5
#68 0x00007f491f1b802b in QApplication::notify(QObject*, QEvent*) () at /usr/lib64/libQt5Widgets.so.5
#69 0x00007f491e4fe245 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib64/libQt5Core.so.5
#70 0x00007f491f210a9b in QWidgetWindow::event(QEvent*) () at /usr/lib64/libQt5Widgets.so.5
#71 0x00007f491f1b11bc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib64/libQt5Widgets.so.5
#72 0x00007f491f1b80f0 in QApplication::notify(QObject*, QEvent*) () at /usr/lib64/libQt5Widgets.so.5
#73 0x00007f491e4fe245 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib64/libQt5Core.so.5
#74 0x00007f491ea4cdb0 in QGuiApplicationPrivate::processKeyEvent(QWindowSystemInterfacePrivate::KeyEvent*) () at /usr/lib64/libQt5Gui.so.5
#75 0x00007f491ea51875 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () at /usr/lib64/libQt5Gui.so.5
#76 0x00007f491ea313fb in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Gui.so.5
#77 0x00007f48faf6fda0 in  () at /usr/lib64/libQt5XcbQpa.so.5
#78 0x00007f490a6e6134 in g_main_context_dispatch () at /usr/lib64/libglib-2.0.so.0
#79 0x00007f490a6e6388 in  () at /usr/lib64/libglib-2.0.so.0
#80 0x00007f490a6e642c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#81 0x00007f491e54c88c in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#82 0x00007f491e4fc6ab in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#83 0x00007f491e504344 in QCoreApplication::exec() () at /usr/lib64/libQt5Core.so.5
#84 0x00000000004048bc in main(int, char**) (argc=1, argv=0x7ffc0f9cfd78) at /home/KDE5/source/kde/pim/kmail/src/main.cpp:161

Reported using DrKonqi
Comment 1 Martin Koller 2017-04-19 08:17:15 UTC
Since I started kmail in a shell, this are the last few lines before abort.
Don't know if they are related (and yes, the POP error is correct since I was using a VPN tunnel which does not allow to contact the POP server):

akonadi_pop3_resource_3 POPSession::slotSlaveError line:47: Got a slave error: "securemail.a1.net: Socket operation timed out"
akonadi_pop3_resource_3 POP3Resource::cancelSync line:950: ============== ERROR DURING POP3 SYNC ==========================
akonadi_pop3_resource_3 POP3Resource::cancelSync line:951: "Unable to login to the server securemail.a1.net.\nTimeout on server\nsecuremail.a1.net: Socket operation timed out"
akonadi_pop3_resource_3 POP3Resource::saveSeenUIDList line:934: UID list from server is not valid.
kmail2 unknown line:0: ASSERT: "!storageModelId.isEmpty()" in file /home/KDE5/source/kde/pim/messagelib/messagelist/src/core/storagemodelbase.cpp, line 58
*** KMail got signal 6 (Exiting)
*** Dead letters dumped.
Comment 2 Martin Koller 2017-12-17 10:35:52 UTC
*** Bug 381126 has been marked as a duplicate of this bug. ***
Comment 3 David Faure 2020-11-24 18:56:46 UTC
I'm pretty sure I know how this happened.

The order of the proxy was wrong, so the filter really removed the folders for a lot of code on top, including the code that wanted to save the previously-current message.

I changed all that long ago -- and I just removed the assert anyway for another reason, the case of actually deleting a folder.
https://invent.kde.org/pim/messagelib/commit/53ed9a5675a5516da6d599bf5868e0a0e73ea15e